Get more from your Mavic
The largest Mavic community in the world
Join Us Now

go 4 4.1.20

  1. J

    iPhone 5s / GO 4 V.4.1.20 Update. Can it handle it?

    Looking for feedback on this... I have an iPhone 5s / iOS 10.3.3 running my Mavic Pro. I've kept the GO 4 App on 4.1.00 & everything works great. I'm hesitant to update to GO 4 V.4.1.20 because the iPhone 5s is now the last iPhone that is recommended by DJI to work with the GO 4 app., I know...